#ifndef RUNNERAGENT_HH
#define RUNNERAGENT_HH

//----------------------------------------------------------------------------
// pacman-like game
// copyright 2010 christopher rasmussen
// university of delaware
// v. 1.0
 
//----------------------------------------------------------------------------

#include "Agent.hh"

//----------------------------------------------------------------------------
//----------------------------------------------------------------------------

void Dijkstra(Point_2D, BlockMaze *);
bool minimax_value(bool, int, const GameState &, BlockMaze *, float &, Point_2D &);

//----------------------------------------------------------------------------


class RunnerAgent : public Agent
{
public:

  RunnerAgent(string s, char c, int i, int x = 0, int y = 0) : Agent(s, c, i, x, y) { }
  ~RunnerAgent() { }

  void update(const GameState &, BlockMaze *);

  float best_minimax_value;               // where the value of the game state is filled in
  Point_2D best_minimax_move;             // where the move to make (if there is one) is filled in

};

//----------------------------------------------------------------------------
//----------------------------------------------------------------------------

#endif
